/**
 * @file ProgressBar.h
 * @brief Show a Progress-Bar with time estimation - threaded
 * @author Michael Koch
 * @date 25/03/2010

 */
#ifndef ProgressBarINCLUDE
#define ProgressBarINCLUDE

#include <qthread.h>
#include <iostream>
#include <string>

#include "vislearning/baselib/ProgressBarQt.h"

namespace OBJREC
{
/** @brief show a Progress-Bar with time estimation */
class ProgressBar: public QThread, public ProgressBarQt
{
  public:
    ProgressBar ( std::string a = "ProgressBar" );
    /** simple destructor */
    virtual ~ProgressBar();
    virtual void run();
  private:

};

}

#endif
