/**
* @file FIGradients.h
* @brief feature images storing gradient information
* @author Erik Rodner
* @date 07/23/2008

*/
#ifndef FIGradientsINCLUDE
#define FIGradientsINCLUDE

#include "vislearning/cbaselib/CachedExample.h"


namespace OBJREC {

class FIGradients {

  public:

    static void buildEOHMap (
      CachedExample *ce,
      int subsamplex,
      int subsampley,
      int numBins,
      bool usesigned );

};


} // namespace

#endif
