/** 
* @file KernelStd.h
* @brief Standard kernel
* @author Erik Rodner
* @date 10/24/2007

*/
#ifndef KERNELSTDINCLUDE
#define KERNELSTDINCLUDE

#include "Kernel.h"


namespace OBJREC {

/** Standard kernel */
class KernelStd : public Kernel
{

    protected:

    public:
  
	/** simple constructor */
	KernelStd();
      
	/** simple destructor */
	virtual ~KernelStd();
	
	double K (const NICE::Vector & x, const NICE::Vector & y) const;
     
};


} // namespace

#endif
