#ifndef CREATEFEATURESINCLUDE
#define CREATEFEATURESINCLUDE

#include "core/basics/Config.h"
#include "vislearning/cbaselib/Feature.h"
#include "vislearning/cbaselib/FeaturePool.h"

#include <string>

namespace OBJREC {

    Feature *createFeatureFromTag ( const NICE::Config *conf, const std::string & tag );

    void restoreFeaturePool ( FeaturePool & pool, const NICE::Config *conf, std::istream & is, int format);

}

#endif
