/** 
* @file KLDistance.h
* @brief $\chi^2$ distance measure
* @author Erik Rodner
* @date 02/19/2008

*/
#ifndef KLDistanceINCLUDE
#define KLDistanceINCLUDE

#include "core/vector/VectorT.h"
#include "core/vector/MatrixT.h"

#include <core/vector/Distance.h>
  

namespace OBJREC {

/** \chi^2 distance measure */
class DeprecatedKLDistance : public NICE::VectorDistance<double>
{

    protected:
	double doCalculate (const NICE::Vector & x, const NICE::Vector & y) const;

    public:
  
};


} // namespace

#endif
