/** 
* @file KernelStd.h
* @brief Standard kernel
* @author Erik Rodner
* @date 10/24/2007

*/
#ifndef KERNELSTDINCLUDE
#define KERNELSTDINCLUDE

#include "core/vector/VectorT.h"
#include "core/vector/MatrixT.h"
  
#include "Kernel.h"

/** Standard kernel */

namespace OBJREC {

class KernelStd : public Kernel
{

    protected:

    public:
  
	/** simple constructor */
	KernelStd();
      
	/** simple destructor */
	virtual ~KernelStd();
	
	double K (const NICE::Vector & x, const NICE::Vector & y) const;
     
};


} // namespace

#endif
