/** 
* @file CachedQuadraticDistances.h
* @author Erik Rodner
* @date 01/20/2010

*/
#ifndef _NICE_OBJREC_CACHEDQUADRATICDISTANCESINCLUDE
#define _NICE_OBJREC_CACHEDQUADRATICDISTANCESINCLUDE

#include "ParameterizedKernel.h"
#include "core/vector/MatrixT.h"

namespace OBJREC {
  
/** @class CachedQuadraticDistances
 * kernel function which needs quadratic distances between feature vectors 
 *
 * @author Erik Rodner
 */
class CachedQuadraticDistances : public ParameterizedKernel
{

    protected:
    public:
		virtual void calcKernelData ( const NICE::VVector & vecSet, KernelData *kernelData ) const;
  
     
};

}

#endif
